<?php
/**
 * Manufacturers Select Sidebox as List Template
 * Version 2 modified to allow display of a simple list of links in place of a scrolling list
 * Version 3 modified to allow those links to be manufacturers images
 * Version 4 allows the display of product counts next to manufacturers' names and puts files into directory hierarchy
 
 * @package templateSystem
 * @copyright Copyright 2007-2009 Kuroi Web Design
 * @copyright Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_manufacturers_select.php 2009-07-29 kuroi
 */
  $content = '';
  $content .= '<div id="' . str_replace('_', '-', $box_id . 'Content') . '" class="sideBoxContent">' . "\n";
  $content .= '<ul>' . "\n";
  foreach ($manufacturer_sidebox_list as $manufacturer) {
    if ($manufacturer['text']!=''){
      $content .= '<li><a class="manufacturerName" href="' . zen_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $manufacturer['id']) . '">';
      $content .= $manufacturer['text'];
      $content .= '</a>';
      if (DISPLAY_MANUFACTURERS_COUNTS) {
        $content .= '&nbsp;&nbsp;(' . $manufacturer['count'] . ')';
      }
      $content .= '</li>' . "\n";
    }
  }
  $content .= "</ul>\n</div>\n";
